# netdata go.d.plugin configuration for x509check
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 1.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - source
#    Certificate source. Allowed schemes: https, tcp, tcp4, tcp6, udp, udp4, udp6, file.
#    Syntax:
#      source: https://example.org:443
#
#  - days_until_expiration_warning
#    Number of days before the alarm status is warning.
#    Syntax:
#      days_until_expiration_warning: 30
#
#  - days_until_expiration_critical
#    Number of days before the alarm status is critical.
#    Syntax:
#      days_until_expiration_critical: 15
#
#  - check_revocation_status
#    Whether to check the revocation status of the certificate.
#    Syntax:
#      check_revocation_status: yes/no
#
#  - timeout
#    SSL connection timeout.
#    Syntax:
#      timeout: 3
#
#  - tls_skip_verify
#    Whether to skip verifying server's certificate chain and hostname.
#    Syntax:
#      tls_skip_verify: yes/no
#
#  - tls_ca
#    Certificate authority that client use when verifying server certificates.
#    Syntax:
#      tls_ca: path/to/ca.pem
#
#  - tls_cert
#    Client tls certificate.
#    Syntax:
#      tls_cert: path/to/cert.pem
#
#  - tls_key
#    Client tls key.
#    Syntax:
#      tls_key: path/to/key.pem
#
#
# [ JOB defaults ]:
#  days_until_expiration_warning: 14
#  days_until_expiration_critical: 7
#  timeout: 2
#  tls_skip_verify: no
#  update_every: 60
#
#
# [ JOB mandatory parameters ]:
#  - name
#  - source
#
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every: 60
# autodetection_retry: 0
# priority: 70000

#jobs:
#  - name: my_site_cert
#    source: https://my_site.org:443
#
#  - name: my_file_cert
#    source: file:///home/me/cert.pem
#
#  - name: my_smtp_cert
#    source: smtp://smtp.my_mail.org:587
